Skip to main content
GET
/
v1
/
transit
/
orders
/
{orderId}
Get Transit order
curl --request GET \
  --url https://api.paxoslabs.com/v1/transit/orders/{orderId} \
  --header 'x-api-key: <api-key>'
{
  "order": {
    "offerAsset": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "wantAsset": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
    "amountDue": "1000000",
    "offerAmount": "1000000",
    "receiver": "0x1234567890abcdef1234567890abcdef12345678",
    "destinationChainId": 8453,
    "sourceChainId": 1,
    "receiveTime": 1735689600,
    "user": "0x1234567890abcdef1234567890abcdef12345678",
    "createdAt": "2026-01-21T15:04:05Z",
    "updatedAt": "2026-01-21T15:14:05Z",
    "tokenMetadata": {}
  }
}

Authorizations

x-api-key
string
header
required

API key in format: pxl_<public_id>_

Path Parameters

orderId
string
required

UUID of the order (sourced from the OrderSubmitted event on the source-chain receipt).

Response

order
object
required